Package org.h2gis.functions.spatial.convert

## Class ST_Holes

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_Holes

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Holes
    extends org.h2gis.api.DeterministicScalarFunction

ST_Holes returns the given geometry or geometry collection's holes as a GeometryCollection. Returns GEOMETRYCOLLECTION EMPTY for geometries of dimension less than 2.

Author:
  Erwan Bocher, Adam Gouge

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Holes()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.GeometryCollection` `getHoles​(org.locationtech.jts.geom.Geometry geom)` Returns the given geometry's holes as a GeometryCollection.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Holes

    public ST_Holes()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### getHoles

    public static org.locationtech.jts.geom.GeometryCollection getHoles​(org.locationtech.jts.geom.Geometry geom)
                                                                 throws SQLException

Returns the given geometry's holes as a GeometryCollection.

Parameters:
  `geom` - Geometry
Returns:
  The geometry's holes
Throws:
  `SQLException`